Шаблон:Таблица ролей/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
мНет описания правки
Строка 1: Строка 1:
.таблица-ролей {
.таблица-ролей {
    display: grid;
    gap: 8px;
}
.таблица-ролей__container {
     background: var(--theme-bg-color-150);
     background: var(--theme-bg-color-150);
     border: 1px solid var(--theme-border-color-base);
     border: 1px solid var(--theme-border-color-base);
Строка 11: Строка 6:
}
}


.таблица-ролей__table {
.таблица-ролей__content {
display: flex;
display: flex;
flex-direction: row;
flex-direction: row;
Строка 19: Строка 14:
}
}


.таблица-ролей__title {
.таблица-ролей__header {
    display: flex;
    gap: 8px;
}
 
.таблица-ролей__heder {
padding: 0.2em 0.4em 0.2em;
padding: 0.2em 0.4em 0.2em;
font-weight: bold;
font-weight: bold;
    background: var(--color-contrast2);
     border-radius: var(--border-radius-low);
     border-radius: var(--border-radius-low);
     border-top: 1px solid rgba(var(--color-lighter--rgb), 0.07);
     border-top: 1px solid rgba(var(--color-lighter--rgb), 0.07);
Строка 33: Строка 22:
}
}


.таблица-ролей__sub-heder {
 
padding: 0.2em 0.4em 0.2em;
.таблица-ролей__sub {
     font-weight: bold;
    display: grid;
    background: var(--color-contrast2-dark);
     gap: 8px;
    text-align: center;
}
    margin: 0.4em 0 0.2em 0;
 
.таблица-ролей__sub-content {
border-top: 1px solid var(--theme-border-color-base);
}
}

Версия от 21:04, 25 июня 2025

.таблица-ролей {
    background: var(--theme-bg-color-150);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    border-radius: var(--border-radius-low);
}

.таблица-ролей__content {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-evenly;
	padding: 0.4em;
}

.таблица-ролей__header {
	padding: 0.2em 0.4em 0.2em;
	font-weight: bold;
    border-radius: var(--border-radius-low);
    border-top: 1px solid rgba(var(--color-lighter--rgb), 0.07);
    border-bottom: 2px solid var(--color-darkened-border);
}


.таблица-ролей__sub {
    display: grid;
    gap: 8px;
}

.таблица-ролей__sub-content {
	border-top: 1px solid var(--theme-border-color-base);
}